
Foreman - Bug #2644

HostController.find_by_name needs refactoring

06/10/2013 12:24 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Unattended installations   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Presently this method makes unnecessary checks for permissions (which could be handled by scope) and restricts itself to

Host::Managed which can break Discovery. This should also be refactored to allow additional ways of finding a host.

https://github.com/theforeman/foreman/pull/699

Associated revisions

Revision 5b5af86e - 06/12/2013 10:34 AM - Greg Sutcliffe

Fixes #2644 - Refactor Host find_by_name to use several ways to find a

host, and refactor my_hosts scope to Host::Base, allowing us to remove

unnecessary permissions check from find_by_name

Revision 87bd795e - 06/12/2013 04:11 PM - Greg Sutcliffe

Fixes #2644 - Refactor Host find_by_name to use several ways to find a

host, and refactor my_hosts scope to Host::Base, allowing us to remove

unnecessary permissions check from find_by_name

(cherry picked from commit 5b5af86ecd6f6b147aeb4dd4ceadd890dc9f2699)

History

#1 - 06/12/2013 11:17 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5b5af86ecd6f6b147aeb4dd4ceadd890dc9f2699.
